std::filesystem::file_status Class Reference

## Public Member Functions

| file_status (const file_status &) noexcept=default
| file_status (file_status &&) noexcept=default
| file_status (file_type __ft, perms __prms=perms::unknown) noexcept
file_status & | operator= (const file_status &) noexcept=default
file_status & | operator= (file_status &&) noexcept=default
perms | permissions () const noexcept
void | permissions (perms __prms) noexcept
file_type | type () const noexcept
void | type (file_type __ft) noexcept

## Detailed Description

Information about a file's type and permissions.

Definition at line 55 of file bits/fs_dir.h.

The documentation for this class was generated from the following file:

- bits/fs_dir.h